You are not logged in.

#1 2020-11-06 17:25:26

Pyrophorus
Member
Registered: 2020-11-06
Posts: 3

[SOLVED] Can't update or download

No matter if I try to update or download something I'm getting:

File /var/cache/pacman/pkg/python-jinja-2.11.2-2-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).

Answering yes on no, just ends the operation.

Any ideas?

Last edited by Pyrophorus (2020-11-13 07:05:17)

Offline

#2 2020-11-06 17:42:36

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 10,076
Website

Re: [SOLVED] Can't update or download

Please post the full output, not just the part you think is relevant.

https://bbs.archlinux.org/viewtopic.php?id=57855


Sakura:-
Mobo: MSI X299 TOMAHAWK ARCTIC // Processor: Intel Core i7-7820X 3.6GHz // GFX: AMD Radeon RX 5700 XT // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 5x 1TB HDD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Offline

#3 2020-11-10 18:20:01

Pyrophorus
Member
Registered: 2020-11-06
Posts: 3

Re: [SOLVED] Can't update or download

This is what I entered in Terminal:

:: Synchronizing package databases...
core                  129.4 KiB   204 KiB/s 00:01 [######################] 100%
extra                1632.8 KiB   867 KiB/s 00:02 [######################] 100%
community               5.2 MiB  1610 KiB/s 00:03 [######################] 100%
multilib              155.0 KiB  3.78 MiB/s 00:00 [######################] 100%
:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...

Packages (84) alsa-card-profiles-13.99.3-1  archlinux-keyring-20201028-1
              btrfs-progs-5.9-1  ca-certificates-mozilla-3.58-2  colord-1.4.5-1
              confuse-3.3-2  dhcpcd-9.3.2-1  enchant-2.2.11-2
              fakeroot-1.25.3-1  firefox-82.0.3-1  git-2.29.2-1  go-2:1.15.4-1
              gst-plugins-bad-1.18.1-1  gst-plugins-bad-libs-1.18.1-1
              gst-plugins-base-1.18.1-1  gst-plugins-base-libs-1.18.1-1
              gst-plugins-good-1.18.1-1  gstreamer-1.18.1-1  hplip-1:3.20.9-2
              imagemagick-7.0.10.37-1  iptables-1:1.8.6-1
              knotifications-5.75.0-2  konversation-1.7.7-1  less-563-1
              libass-0.15.0-2  libbluray-1.2.1-1  libde265-1.0.8-1
              libevdev-1.10.0-1  libgcrypt-1.8.7-1  libgdm-3.38.2-1
              libhandy-1.0.1-1  libinput-1.16.3-1  libixion-0.16.1-1
              libksane-20.08.3-1  libldap-2.4.54-1  libnewt-0.52.21-4
              liborcus-0.16.1-1  libpulse-13.99.3-1  libreoffice-fresh-7.0.3-2
              libshout-1:2.4.4-1  libva-2.9.1-1  libwacom-1.6-1
              libxml2-2.9.10-3  libxnvctrl-455.38-1  linux-5.9.6.arch1-1
              linux-firmware-20201023.dae4b4c-1  linux-headers-5.9.6.arch1-1
              lmdb-0.9.27-1  man-pages-5.09-1  mkinitcpio-29-1  net-snmp-5.9-1
              nss-3.58-2  oath-toolkit-2.6.3-1  oniguruma-6.9.6-1
              openal-1.21.0-1  openssh-8.4p1-2  pacman-mirrorlist-20201031-1
              pango-1:1.48.0-1  perl-alien-build-2.37-1
              perl-alien-libxml2-0.17-1  pipewire-0.3.15-1
              poppler-data-0.4.10-1  pulseaudio-13.99.3-1
              pulseaudio-bluetooth-13.99.3-1  python-psutil-5.7.3-1
              python-urllib3-1.25.10-2  qca-2.3.1-4  qpdf-10.0.3-1
              samba-4.13.2-1  sane-1.0.31-3  sdl2-2.0.12-3  smbclient-4.13.2-1
              system-config-printer-1.5.13-1  thunar-1.8.16-1  tzdata-2020d-1
              vulkan-icd-loader-1.2.158-1  xfce4-mailwatch-plugin-1.3.0-1
              xfce4-screensaver-0.1.11-1  xfconf-4.14.4-1  xfdesktop-4.14.3-1
              xfwm4-4.14.6-1  xmlsec-1.2.31-1  xorg-xkbcomp-1.4.4-1
              zbar-0.23.1-3

Total Download Size:    159.32 MiB
Total Installed Size:  2343.14 MiB
Net Upgrade Size:        22.50 MiB

:: Proceed with installation? [Y/n] y
:: Retrieving packages...
btrfs-progs-5.9-...   860.4 KiB   564 KiB/s 00:02 [######################] 100%
less-563-1-x86_64     109.7 KiB  5.36 MiB/s 00:00 [######################] 100%
linux-5.9.6.arch...    73.8 MiB  2.47 MiB/s 00:30 [######################] 100%
linux-headers-5....    22.6 MiB  2.81 MiB/s 00:08 [######################] 100%
pango-1:1.48.0-1...   554.0 KiB  3.86 MiB/s 00:00 [######################] 100%
firefox-82.0.3-1...    57.8 MiB  3.67 MiB/s 00:16 [######################] 100%
imagemagick-7.0....     2.5 MiB  3.92 MiB/s 00:01 [######################] 100%
zbar-0.23.1-3-x86_64  252.3 KiB  3.91 MiB/s 00:00 [######################] 100%
xfconf-4.14.4-1-...   179.6 KiB  4.74 MiB/s 00:00 [######################] 100%
xfce4-mailwatch-...   165.8 KiB  4.50 MiB/s 00:00 [######################] 100%
xfce4-screensave...   255.5 KiB  4.99 MiB/s 00:00 [######################] 100%
oath-toolkit-2.6...   266.3 KiB  7.03 MiB/s 00:00 [######################] 100%
(84/84) checking keys in keyring                   [######################] 100%
(84/84) checking package integrity                 [######################] 100%
error: confuse: signature from "Baptiste Jonglez <baptiste@bitsofnetworks.org>" is unknown trust
:: File /var/cache/pacman/pkg/confuse-3.3-2-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n]

Offline

#4 2020-11-10 23:57:29

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 8,047

Re: [SOLVED] Can't update or download

Update archlinux-keyring first

Offline

#5 2020-11-13 02:02:12

Pyrophorus
Member
Registered: 2020-11-06
Posts: 3

Re: [SOLVED] Can't update or download

Thank you very much.

That worked perfectly.

Offline

#6 2020-11-13 02:05:51

2ManyDogs
Forum Moderator
Registered: 2012-01-15
Posts: 3,438

Re: [SOLVED] Can't update or download

Please remember to mark your thread [SOLVED] (edit the title of your first post).

Offline

Board footer

Powered by FluxBB